{ config, pkgs, ... }:

{
	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		enableCompletion = true;
		enableVteIntegration = true;
		autocd = false;
		cdpath = [
			"/mnt/nixos/etc/nixos/"
			"/mnt/stuff/school/"
		];
		defaultKeymap = null;
		dotDir = ".config/zsh";
		history = {
			ignoreSpace = true;
			path = "${config.xdg.dataHome}/zsh/zsh_history";
			save = 10000;
		};
		historySubstringSearch.enable = true;
		oh-my-zsh = {
			enable = true;
			plugins = [
				"z"
				"git"
				"vi-mode"
				"thefuck"
			];
			theme = "bira"; # TODO: figure out how to source custom theme
			# other cool themes:
			# duellj
			# simonoff
			# strug
			# bira
		};
		# plugins = [
		# 	{
		# 		name = "zsh-syntax-highlighting";
		# 		src = pkgs.fetchFromGitHub {
		# 			owner = "zsh-users";
		# 			repo = "zsh-syntax-highlighting";
		# 			rev = "0.7.1";
		# 			sha256 = "gOG0NLlaJfotJfs+SUhGgLTNOnGLjoqnUp54V9aFJg8=";
		# 		};
		# 	}
		# ];
		shellAliases = {
			ls = "eza";
		};
		syntaxHighlighting.enable = true;
	};

}
